Arup – it really is urgent. If your site can be found through a Google search then you’re vulnerable. Any older WP install should be upgraded ASAP.

It’s becoming obvious that a dedicated group of hackers or script kiddies are targeting older installs. Not upgrading is like not getting the flu jab when you’re in the high risk categories. It doesn’t make sense not to.

Christopher – you could try moving all your WordPress installs into one folder and using a switch statement in wp-config.php based on the domain name. I have a number of sites running off one install and upgrading them all is dead easy. Must blog about that ..